Module javafx.graphics
Package javafx.print

## Class PrintResolution

- java.lang.Object
- - javafx.print.PrintResolution

-     public final class PrintResolution
      extends Object

  Class to represent a supported device resolution of a printer in the feed and crossfeed directionsin dots-per-inch (DPI). When printing in a portrait orientation cross feed direction is usually x/horizontal resolution, and feed direction is usually y/horizontal resolution. On most printers these are the same value, but it is possuble for them to be different.
  Since:
    JavaFX 8.0

- - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `int` | `getCrossFeedResolution()` | Returns the resolution in dpi.
    `int` | `getFeedResolution()` | Returns the resolution in dpi.
    `int` | `hashCode()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getCrossFeedResolution

          public int getCrossFeedResolution()

      Returns the resolution in dpi. across the paper feed direction.
      Returns:
        cross feed resolution.

    - #### getFeedResolution

          public int getFeedResolution()

      Returns the resolution in dpi. in the paper feed direction.
      Returns:
        feed resolution.

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`